// Global leaflet
/**
 * @namespace Icons
 */
const Icons = {};

Icons.site = L.icon(
    {
        iconUrl: 'img/icons/siti.png',
        iconSize: [18, 27],
        iconAnchor: [10, 24],
        tooltipAnchor: [0, -22],
    }
);
Icons.notConserved = L.icon(
    {
        iconUrl: 'img/icons/non_conserv.png',
        iconSize: [18, 27],
        iconAnchor: [10, 24],
        tooltipAnchor: [0, -22],
    }
);

Icons.finding = L.icon(
    {
        iconUrl: 'img/icons/rinvenimenti.png',
        iconSize: [18, 27],
        iconAnchor: [10, 24],
        tooltipAnchor: [0, -22],
    }
);

Icons.prehistoric = L.icon(
    {
        iconUrl: 'img/icons/preistorici.png',
        iconSize: [18, 27],
        iconAnchor: [10, 24],
        tooltipAnchor: [0, -22],
    }
);

Icons.underwater = L.icon(
    {
        iconUrl: 'img/icons/subacquei.png',
        iconSize: [18, 27],
        iconAnchor: [10, 24],
        tooltipAnchor: [0, -22],
    }
);

Icons.reuse = L.icon(
    {
        iconUrl: 'img/icons/reimpiego.png',
        iconSize: [18, 27],
        iconAnchor: [10, 24],
        tooltipAnchor: [0, -22],
    }
);

Icons.camera = L.divIcon({className: 'fa fa-camera'});

Icons.techs = L.divIcon({className: 'fa fa-circle has-text-link-45'});

export default Icons;